import { GET, POST, PUT, Delete } from "@/utils/request";

const GetAttribute = () => {
  return GET("/attribute/all", {});
};

const DeleteAttribute = (id) => {
  return Delete(`/attribute/delete/${id}`, {});
};

const ChangeAttributeStatus = (data) => {
  return PUT(`/attribute/${data.id}/status`, data, true);
};

const VerificationAttribute = () => {
  return GET("/attribute/verification", {});
};

const UpdateVehicle = () => {
  return GET("/attribute/update/vehicle", {});
};

const CheckedAttr = (data) => {
  return POST("/attribute/checkedAttr", data, true);
};

const AddAttribute = (data) => {
  return POST("/attribute", data, true);
};

const getAttributeKV= () => {
  return PUT(`/attribute/kv`, {}, true);
};

const UploadAttribute = (data) => {
  return POST("/attribute/excel/upload/data", data, true);
};


export {
  GetAttribute,
  UploadAttribute,
  DeleteAttribute,
  ChangeAttributeStatus,
  VerificationAttribute,
  UpdateVehicle,
  CheckedAttr,
  AddAttribute,
  getAttributeKV
};
